package kolekce.iterator;
import java.util.*;

public class IteratorProblemy {
  public static void main(String[] args) {
    List<Integer> seznam = new ArrayList<>();
    for (int i = 0;  i < 11;  i++) {
      seznam.add(i + 20);
    }

    int suma = 0;
    for (Iterator<Integer> it = seznam.iterator(); it.hasNext(); ) {
      // chybne - dvakrat next()
//      System.out.print(it.next() + ", ");
//      suma += it.next().intValue();

      // spravne - pomocna promenna
      Integer prvek = it.next();
      System.out.print(prvek + " + ");
      suma += prvek.intValue();
    }
//    it.next();  // neni pristupny - nelze udelat chybu
    System.out.println(" = " + suma);

    Iterator<Integer> it1 = seznam.iterator();
//    Iterator<Integer> it2 = seznam.iterator();
    it1.next();
    it1.next();
    while (it1.hasNext()) {
      System.out.print(it1.next() + ", ");
      it1.remove();
    }
    
    System.out.println("\nPo ubrani ze seznamu");
    Iterator<Integer> it2 = seznam.iterator();
    while (it2.hasNext()) {
      System.out.print(it2.next() + ", ");
    }
    System.out.println();
  }
}
