package kolekce.iterator;
import java.util.*;

public class IteratorZakladniPouziti {
  public static void main(String[] args) {
    List<Integer> seznam = new ArrayList<>();
    for (int i = 0;  i < 10;  i++) {
      seznam.add(i + 20);
    }

    for (Iterator<Integer> it = seznam.iterator(); it.hasNext(); ) {
      System.out.print(it.next() + ", ");
    }
    System.out.println();

    Iterator<Integer> it = seznam.iterator();
    it.next();
    it.next();
    while (it.hasNext()) {
      System.out.print(it.next() + ", ");
    }
    it = null;
    System.out.println();

    it = seznam.iterator();
    System.out.print(it.next());    
    System.out.println();
  }
}
