package kolekce;
import java.util.*;


public class OsobaCollections {
  public static void main(String[] args) {
    List<Osoba> sez = new ArrayList<>();
    sez.add(new Osoba(186, 82.5, "muz"));
    sez.add(new Osoba(172, 63.0, "zena"));
    sez.add(new Osoba(105, 26.1, "dite"));
    sez.add(new Osoba(116, 80.5, "obezni trpaslik"));
    System.out.println("Neserazeno: " + sez);

    Collections.sort(sez, new KomparatorOsobyPodleVahy());
    System.out.println("Absolutni razeni podle vahy: " 
                                                   + sez);

    Collections.reverse(sez);
    System.out.println("Podle vahy sestupne: " + sez);

    Collections.sort(sez);
    System.out.println("Prirozene razeni podle vysky: " 
                                                   + sez);

    Collections.shuffle(sez);
    System.out.println("Zamichano: " + sez);

    System.out.println("Nejvyssi:"
                                  + Collections.max(sez));
    System.out.println("Nejlehci:"
                        + Collections.min(sez,
                        new KomparatorOsobyPodleVahy()));

    Collections.fill(sez, new Osoba(180, 75.0, "robot"));
    System.out.println("Vyplneno: " + sez);
  }
}
