package kolekce;
import java.util.*;

public class ProchazeniMap {
  public static void main(String[] args) {
    Map<String, Integer> mapa = new HashMap<>();
    mapa.put("prvni", 1);
    mapa.put("druhy", Integer.valueOf(2)); 
    mapa.put("treti", 1);

    // for-each
    Set<Map.Entry<String, Integer>> pomocnaMnozina = mapa.entrySet();  
    for (Map.Entry<String, Integer> me: pomocnaMnozina) {
      System.out.print(me.getKey() + "=" + me.getValue() + ", ");
    }
    System.out.println();
    
    // for-each zkracene
    for (Map.Entry<String, Integer> me: mapa.entrySet()) {
      System.out.print(me.getKey() + "=" + me.getValue() + ", ");
    }
    System.out.println();
    
    // iterator
    for (Iterator<Map.Entry<String, Integer>> 
           it = mapa.entrySet().iterator();
           it.hasNext(); ) {
      Map.Entry<String, Integer> me = it.next();
//      it.remove();
      System.out.print(me.getKey() + "=" + me.getValue() + ", ");
    }
  }
}









