package typy;

import java.util.Objects;

public class OsobaIdea {
  protected boolean muz;
  protected int vyska;
  protected double vaha;
  protected String jmeno;

  @Override
  public boolean equals(Object o) {
    if (this == o)
      return true;
    if (o == null || getClass() != o.getClass())
      return false;

    OsobaIdea osobaIdea = (OsobaIdea) o;

    if (muz != osobaIdea.muz)
      return false;
    if (vyska != osobaIdea.vyska)
      return false;
    if (Double.compare(osobaIdea.vaha, vaha) != 0)
      return false;
    return Objects.equals(jmeno, osobaIdea.jmeno);
  }

  @Override
  public int hashCode() {
    int result;
    long temp;
    result = muz ? 1 : 0;
    result = 31 * result + vyska;
    temp = Double.doubleToLongBits(vaha);
    result = 31 * result + (int) (temp ^ temp >>> 32);
    result = 31 * result + (jmeno != null ? jmeno.hashCode() : 0);
    return result;
  }
}
