package adapter;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseMotionAdapter;
import java.awt.event.MouseMotionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;

public class ObsluhaTlacitka {
  private JLabel napisLB;
  
  public ObsluhaTlacitka() {
    JFrame oknoF = new JFrame("ObsluhaTlacitka");
    oknoF.setLayout(new FlowLayout());
    
    JButton tlacitkoAhojBT = new JButton("Ahoj");
    tlacitkoAhojBT.addActionListener(new VnitrniTrida());
    tlacitkoAhojBT.addMouseMotionListener(new ObsluhaMysi());
    oknoF.add(tlacitkoAhojBT);
    
    JButton tlacitkoNazdarBT = new JButton("Nazdar");
    tlacitkoNazdarBT.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        napisLB.setText("Stisknuto Nazdar");
      }
    });
    tlacitkoNazdarBT.addMouseMotionListener(new ObsluhaMysiAdapter());
    oknoF.add(tlacitkoNazdarBT);
    
    napisLB = new JLabel("Misto pro vypisy");
    oknoF.add(napisLB);
    
    oknoF.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    oknoF.setSize(180, 100);
    oknoF.setVisible(true);
  }
  
  private class VnitrniTrida implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      napisLB.setText("Stisknuto Ahoj");
    }
  }
  
  private class ObsluhaMysi implements MouseMotionListener {
    public void mouseDragged(MouseEvent e) {
      napisLB.setText("Tahnu");
    }
    public void mouseMoved(MouseEvent e) { 
      // zadna akce
    }
  }
  
  private class ObsluhaMysiAdapter extends MouseMotionAdapter {
    public void mouseDragged(MouseEvent e) {
      napisLB.setText("Tahnuti");
    }
  }
  
  public static void main(String[] args) {
    new ObsluhaTlacitka();
  }

}