package polymorfismus_4;


import java.util.List;

public final class Hlavni {

  private Hlavni() { /* prazdny konstruktor */ }
  
  public static void main(String[] args) {
    SamoobsluznaRestaurace restaurace = new SamoobsluznaRestaurace();
    
    List<IHosteny> seznamHostu = restaurace.getSeznamHostu();
    seznamHostu.add(new American().objednavaJidlo("steak", 300));
    seznamHostu.add(new Japonec().objednavaJidlo("susi", 200));
    seznamHostu.add(new Ind().objednavaJidlo("capati", 80));
    seznamHostu.add(new Zlatokop().objednavaJidlo("fazole", 50));

    seznamHostu.add(new Pes());
    seznamHostu.add(new Majitel());
    Vymahac vymahac = new Vymahac();
    seznamHostu.add(vymahac);
    
    restaurace.nechHostyNajist();
    new Pokladni().kasiruj(restaurace);
    
    System.out.println("Celkova utrata: " + restaurace.getZisk());
    vymahac.berePenize(restaurace);
    System.out.println("Celkovy zisk: " + restaurace.getZisk());
  }
}
