package rozhrani_adapter;

public class Pouziti {
  IPohybyMysi zpusob1 = new ImplementaceRozhrani();
  IPohybyMysi zpusob2 = new DedeniAdapteru();
  
  public Pouziti() {}

  private class ImplementaceRozhrani implements IPohybyMysi {
    public void tazeniMysi() {
      System.out.println("Tazeni rozhrani");
    }
    public void pohybMysi() {
      // zadna akce
    }
  }
  
  private class DedeniAdapteru extends IPohybyMysi.Adapter {
    public void tazeniMysi() {
      System.out.println("Tazeni adapter");
    }
  }
}
