package agregace;

import java.util.ArrayList;
import java.util.List;

import lambda.Osoba;
import lambda.SeznamOsob;

public class RedukceAverage {

  public static void main(String[] args) {
    List<Osoba> seznam = SeznamOsob.getSeznam();
    
    double prumernaVyska1 = 0.0;
    int pocet = 0;
    int vyskaVsech = 0;
    for (Osoba o : seznam) {
      if (o.getPohlavi() == Osoba.Pohlavi.MUZ) {
        vyskaVsech += o.getVyska();
        pocet++;
      }
    }
    if (pocet > 0) {
      prumernaVyska1 = (double) vyskaVsech / pocet;
    }
    System.out.println("Prumerna vyska muzu = " + prumernaVyska1);
    
    
    double prumernaVyska = seznam
//    List<Osoba> seznam1 = new ArrayList<>();
//    seznam1.add(new Osoba("Jana", 150, Osoba.Pohlavi.ZENA));
//    double prumernaVyska = seznam1
        .stream()
        .filter(o -> o.getPohlavi() == Osoba.Pohlavi.MUZ)
        .mapToInt(Osoba::getVyska)
        .average()
        .getAsDouble();

    System.out.println("Prumerna vyska muzu = " + prumernaVyska);
  }

}
