package agregace;

import java.util.List;

import lambda.Osoba;
import lambda.SeznamOsob;

public class RedukceMax {

  public static void main(String[] args) {
    List<Osoba> seznam = SeznamOsob.getSeznam();
    
    int nejvyssiMuz = seznam
        .stream()
        .filter(o -> o.getPohlavi() == Osoba.Pohlavi.MUZ)
        .mapToInt(Osoba::getVyska)
        .max()
        .getAsInt();
     
    System.out.println("Vyska nejvyssiho muze = " + nejvyssiMuz);
  }

}
