package lambda;

import java.util.List;

// kriterium v anonymni tride
public class HledaniOsob_3 {
  
  public static void hledani(List<Osoba> seznam, IKriterium kriterium) {
    for (Osoba o : seznam) {
      if (kriterium.vyhovuje(o)) {
        o.vypis();
      }
    }
  }
  
  public static void main(String[] args) {
    List<Osoba> seznam = SeznamOsob.getSeznam();
    hledani(seznam, 
            new IKriterium() {
              public boolean vyhovuje(Osoba o) {
                return o.getPohlavi() == Osoba.Pohlavi.ZENA  
                       &&  o.getVyska() >= 160;
              }    
        });
  }

}
