package lambda;

import java.util.List;
import java.util.function.Predicate;

// kriterium v lamba vyrazu a standardni genericke funkcni rozhrani
public class HledaniOsob_5 {
  
  public static void hledani(List<Osoba> seznam, 
                             Predicate<Osoba> kriterium) {
    for (Osoba o : seznam) {
      if (kriterium.test(o)) {
        o.vypis();
      }
    }
  }
  
  public static void main(String[] args) {
    List<Osoba> seznam = SeznamOsob.getSeznam();
    hledani(seznam, 
            o -> o.getPohlavi() == Osoba.Pohlavi.ZENA  
                 &&  o.getVyska() >= 160
           );
  }

}
