package lambda;

public class Osoba {
  public static enum Pohlavi {
    MUZ, ZENA;
  }
  
  private String jmeno;
  private int vyska;
  private Pohlavi pohlavi;

  public Osoba(String jmeno, int vyska, Pohlavi pohlavi) {
    this.jmeno = jmeno;
    this.vyska = vyska;
    this.pohlavi = pohlavi;
  }

  public String getJmeno() {
    return jmeno;
  }

  public int getVyska() {
    return vyska;
  }

  public Pohlavi getPohlavi() {
    return pohlavi;
  }

  @Override
  public String toString() {
    return "[jmeno=" + jmeno + ", vyska=" + vyska + ", pohlavi="
        + pohlavi + "]";
  }
  
  public void vypis() {
    System.out.println(this);
  } 
  public void jmena() {
    System.out.println(this.jmeno);
  } 
}
