package optional;

import java.util.ArrayList;
import java.util.Comparator;
import java.util.List;
import java.util.stream.Collectors;
import java.util.stream.Stream;

public class NotNull {
  
  private static final int MAX = 10;

  public static void main(String[] args) {
    List<Integer> seznam = new ArrayList<>(MAX);

    // naplneni 
    for (int i = 1; i <= MAX; i++) {
      seznam.add(Integer.valueOf(i));
    }
    
    if (MAX <= 10) {
      System.out.println(seznam);
    }
    
    Comparator<Integer> vzestupne = Integer::compare;
    Comparator<Integer> reversed = vzestupne.reversed();
    
    List<Integer> serazenySeznam = null;
    Stream<Integer> s1 = seznam.stream();
    if (s1 != null) {
      Stream<Integer> s2 = s1.sorted(reversed);
      if (s2 != null) {
        serazenySeznam = s2.collect(Collectors.toList());
      }      
    }

    if (MAX <= 10) {
      System.out.println(serazenySeznam);
    }
  }

}
