package razeni;

import java.util.ArrayList;
import java.util.Comparator;
import java.util.List;
import java.util.stream.Collectors;

public class RazeniSekvencniStream {
  
  private static final int MAX = 10;

  public static void main(String[] args) {
    List<Integer> seznam = new ArrayList<>(MAX);
    
    // naplneni 
    for (int i = 1; i <= MAX; i++) {
      seznam.add(Integer.valueOf(i));
    }

    System.out.println(seznam);

    Comparator<Integer> vzestupne = Integer::compare;
    Comparator<Integer> reversed = vzestupne.reversed();
    
    List<Integer> serazenySeznam = seznam
       .stream()
       .sorted(reversed)
       .collect(Collectors.toList());

    System.out.println(serazenySeznam);
  }
}
