package reference;

import java.util.Arrays;
import java.util.Comparator;

public class ReferenceNaString {

  public static void main(String[] args) {
    String[] poleJmen = {"anna", "Jana", "HANA"};
    
    System.out.println("Nerazeno:            " + Arrays.toString(poleJmen));
    
    Arrays.sort(poleJmen);
    System.out.println("Jen sort:            " + Arrays.toString(poleJmen));
    
    Arrays.sort(poleJmen, 
                new Comparator<String>() {
                  public int compare(String a, String b) {
                    return a.compareToIgnoreCase(b);
                  }
                });
    System.out.println("Anonymni comparator: " + Arrays.toString(poleJmen));

    Arrays.sort(poleJmen,
                (a, b) -> a.compareToIgnoreCase(b)
               );
    System.out.println("Lambda vyraz       : " + Arrays.toString(poleJmen));

    Arrays.sort(poleJmen, String::compareToIgnoreCase);
    System.out.println("Reference na metodu: " + Arrays.toString(poleJmen));
  }

}








