package anotace;

import java.lang.reflect.Method;
import java.util.Arrays;

public class ReflexeAnotace {

  public static void main(String[] args) throws Exception {
    Class<?> zkoumanaClass = Class.forName("anotace.AnotaceZJavaAPI");
    Method[] metody = zkoumanaClass.getDeclaredMethods();

    for (Method metoda : metody) {
      if (metoda.isAnnotationPresent(Deprecated.class)) {
        System.out.println("Metoda " + metoda.getName() 
                           + "() je deprecaded, ale spustim ji");
        byte[] pole = (byte[]) metoda.invoke(null);
        System.out.println(Arrays.toString(pole));
      }
    }
  }

}
