package anotace;

import java.lang.reflect.Constructor;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.util.Arrays;

public class VypisAnotaci {

  public static void main(String[] args) throws Exception {
    Class<?> zkoumanaClass = 
        Class.forName("anotace.PouzitiJednoparametrickaAnotace");
    System.out.println("Trida: " 
               + Arrays.toString(zkoumanaClass.getAnnotations()));
    
    System.out.println("\nAtributy:");
    for (Field atr : zkoumanaClass.getDeclaredFields()) {
      if (atr.getAnnotations().length > 0) {
        System.out.println(atr.getName() + ": " 
                   + Arrays.toString(atr.getAnnotations()));
      }
    }

    System.out.println("\nKonstruktory:");
    for (Constructor<?> con : zkoumanaClass.getDeclaredConstructors()) {
      if (con.getAnnotations().length > 0) {
        System.out.println(Arrays.toString(con.getAnnotations()));
      }
    }

    System.out.println("\nMetody:");
    for (Method met : zkoumanaClass.getDeclaredMethods()) {
      if (met.getAnnotations().length > 0) {
        System.out.println(met.getName() + ": " 
                   + Arrays.toString(met.getAnnotations()));
      }
    }
  }

}
