package kolekce;
import java.util.*;

public class ArrayListMetodyZCollection {
  public static void tiskni(String jmeno, List<String> seznam) {
    int vel = seznam.size();
    System.out.print(jmeno + " (" + vel + ") : ");
    for (int i = 0;  i < vel;  i++) {
      System.out.print("[" + i + "]=" + seznam.get(i) + ", ");
    }
    System.out.println();
  }

  public static void main(String[] args) {
    List<String> sezn1 = new ArrayList<>();
    System.out.println("sezn1 je prazdny: " + sezn1.isEmpty());
    sezn1.add("prvni");
    sezn1.add("druhy");
    sezn1.add("prvni");
    tiskni("sezn1", sezn1);

    System.out.println("\nPridavani a ubirani prvku");
    List<String> sezn2 = new ArrayList<>(sezn1);
    System.out.println("sezn2 je prazdny: " + sezn2.isEmpty());
    sezn2.add("treti");
    tiskni("sezn2", sezn2);
    sezn2.remove("prvni");
    tiskni("sezn2", sezn2);
    sezn2.removeAll(sezn1);
    tiskni("sezn2", sezn2);
    sezn2.addAll(sezn1);
    tiskni("sezn2", sezn2);
    sezn2.retainAll(sezn1);
    tiskni("sezn2", sezn2);

    System.out.println("\nHledani prvku");
    List<String> sezn3 = new ArrayList<>(sezn1);
    sezn3.add("ctvrty");
    System.out.println("sezn3 obsahuje 'paty': "
                      + sezn3.contains("paty"));
    System.out.println("sezn3 obsahuje sezn1: "
                      + sezn3.containsAll(sezn1));

    System.out.println("\nPrevod na pole sezn3");
//    String[] poleRetezcu = (String[]) sezn3.toArray();
//    String[] poleRetezcu = (String[]) sezn3.toArray(new String[0]);
    String[] poleRetezcu = sezn3.toArray(new String[0]);
    System.out.println(Arrays.asList(poleRetezcu));
    System.out.println(Arrays.toString(poleRetezcu));
    
    String[] hodnoty = {"jedna", "dva", "tri" };
    List<String> sezn4 = new ArrayList<>();
    for (int i = 0; i < hodnoty.length; i++) {
      sezn4.add(hodnoty[i]);
    }
    List<String> sezn5 = new ArrayList<>(
        Arrays.asList(hodnoty));
    tiskni("sezn4", sezn4);
    tiskni("sezn5", sezn5);
//    
  }
}
