package kolekce;
import java.util.*;

class CeleCislo {
  private int cislo;

  CeleCislo(int cislo) { this.cislo = cislo; }

  int getCislo() { return cislo; }

  void setCislo(int cislo) { this.cislo = cislo; }

  public String toString() { return ("" + cislo); }
}


public class ArrayListVlastniTridaMetodyZList {
  public static void tiskni(String jmeno, List<CeleCislo> li) {
    int vel = li.size();
    System.out.print(jmeno + " (" + vel + ") : ");
    for (int i = 0;  i < vel;  i++) {
      System.out.print("[" + i + "]="
            + li.get(i).getCislo() + ", ");
    }
    System.out.println();
  }

  public static void main(String[] args) {
    System.out.println("Vytvoreni seznamu"); 
    List<CeleCislo> celySeznam = new ArrayList<>();
    for (int i = 0;  i < 5;  i++) {
      celySeznam.add(new CeleCislo(i + 10));
    }
    tiskni("celySeznam", celySeznam);
    System.out.println("Tisk celeho seznamu: " + celySeznam);

    System.out.println("Pridavani prvku");
    celySeznam.add(2, new CeleCislo(77));
    tiskni("celySeznam", celySeznam);
    System.out.println("Vytvoreni podseznamu");
    List<CeleCislo> podSeznam = celySeznam.subList(2, 5);
    tiskni("podSeznam ", podSeznam);

    celySeznam.get(3).setCislo(33);
    tiskni("celySeznam", celySeznam);
    tiskni("podSeznam ", podSeznam);
  }
}
















