package kolekce;
import java.util.*;

interface Tisknutelny {
  public void tiskni();  
}

class A implements Tisknutelny {
  public void tiskni() {
    System.out.println("A");
  }      
}

class B extends A {
  @Override
  public void tiskni() {
    System.out.println("B potomek A");
  }      
}

public class TypovanaKolekceOmezeniZolika {
  public static void main(String[] args) {
    List<A> seznam = new ArrayList<>();
    seznam.add(new A());                    
    seznam.add(new B());                    
    tisk(seznam);
  }
  
  public static void tisk(List<? extends Tisknutelny> seznam) {
//  public static void tisk(List<Tisknutelny> seznam) {
    for (Tisknutelny tisknutelny : seznam) {
      tisknutelny.tiskni();
    }
  }
}
