package kolekce;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Random;
import java.util.Set;

public class KolekceVKolekci {

  public static void dvourozmernySeznamRetezcu() {
    List<List<String>> dvourozmernySeznam;
    
    // postupne vytvareni
    dvourozmernySeznam = new ArrayList<List<String>>();
    
    for (int i = 0;  i < 5;  i++) {
      List<String> pomSeznam = new ArrayList<>();
      for (int j = 0; j < 10; j++) {
        String pom = "" + (i + 1) + "-" + (j + 1);  // vzor 1-1
        pomSeznam.add(pom);
      }
      dvourozmernySeznam.add(pomSeznam);
    }
    
    // pruchod for-each
    for (List<String> pomSeznam : dvourozmernySeznam) {
      System.out.println("\nRadka:");
      for (String prvek : pomSeznam) {
        System.out.print(prvek + ", ");        
      }
    }
  }
  
  public static void mapaMnozinRetezcu() {
    
    Map<String, Set<String>> mapaMnozin;
    
    // pomocna data
    String[] muzi = {"Karel", "Standa", "Honza"};
    String[] pritelkyne = {"Jana", "Hana", "Dana", "Anna", "Zina", "Dita"};
    Random r = new Random(9);
    
    // postupne vytvareni
    mapaMnozin = new HashMap<>();
       
    for (int i = 0;  i < muzi.length;  i++) {
      Set<String> mnozinaPritelkyn = new HashSet<>();
      
      int pocetPritelkyn = r.nextInt(pritelkyne.length) + 1;
      while (mnozinaPritelkyn.size() < pocetPritelkyn) {
        int poradi = r.nextInt(pritelkyne.length);
        mnozinaPritelkyn.add(pritelkyne[poradi]);
      }
      mapaMnozin.put(muzi[i], mnozinaPritelkyn);
    }
    System.out.println();

    // pruchod for-each
    for (Map.Entry<String, Set<String>> prvekMapy : mapaMnozin.entrySet()) {
      System.out.println("Muz: " + prvekMapy.getKey() + " a pritelkyne:");
      for (String prvekMnoziny : prvekMapy.getValue()) {
        System.out.print(prvekMnoziny + ", ");        
      }
//      System.out.println(prvekMapy.getValue());
      System.out.println();
    }
  }
 
  public static void main(String[] args) {
//    dvourozmernySeznamRetezcu();
    mapaMnozinRetezcu();
  }
}
