package polymorfismus_1;

import java.util.List;

public final class Hlavni {

  private Hlavni() { /* prazdny konstruktor */ }
  
  public static void main(String[] args) {
    SamoobsluznaRestaurace restaurace = new SamoobsluznaRestaurace();
    
    List<AHost> seznamHostu = restaurace.getSeznamHostu();
    seznamHostu.add(new American().objednavaJidlo("steak", 300));
    seznamHostu.add(new Japonec().objednavaJidlo("susi", 200));
    seznamHostu.add(new Ind().objednavaJidlo("capati", 80));
    seznamHostu.add(new Zlatokop().objednavaJidlo("fazole", 50));

//    AHost host = new Zlatokop();
//    host.objednavaJidlo("fazole", 50);
//    seznamHostu.add(host);
    
    restaurace.nechHostyNajist();
    new Pokladni().kasiruj(restaurace);
    
    System.out.println("Celkova utrata: " + restaurace.getZisk());
  }
}
