package polymorfismus_2;


import java.util.ArrayList;
import java.util.List;

public class SamoobsluznaRestaurace {
  private List<IHosteny> seznamHostu = new ArrayList<>();
  private int zisk = 0;
  
  public List<IHosteny> getSeznamHostu() {
    return seznamHostu;
  }
  
  public void zvysZisk(int utrata) {
    zisk += utrata;
  }
  
  public int getZisk() {
    return zisk;
  }
  
  public void nechHostyNajist() {
    for (IHosteny host : seznamHostu) {
      host.konzumuje();
    }
  }
}
