package polymorfismus_3;


abstract public class AHost implements IHosteny {
  private String jidlo;
  private int utrata;
  private Penezenka penezenka;
  
  public AHost() {
    this.utrata = 0;
    this.penezenka = new Penezenka(1000);
  }
  
  public AHost objednavaJidlo(String jidlo, int cena) {
    this.jidlo = jidlo;
    this.utrata += cena;
    return this;
  }
  
  public String getJidlo() {
    return jidlo;
  }

  public int getUtrata() {
    return utrata;
  }
  
  abstract public void konzumuje();

  public int plati() {
    penezenka.uberPenize(utrata);
    return utrata;
  }

  public String zbyvaPenez() {
    return kdoJsem() + ": " + penezenka.pridejPenize(0);
  }

  public String kdoJsem() {
    return this.getClass().getSimpleName();
  }
  
  @Override
  public String toString() {
    return kdoJsem() + " ji " + jidlo + " ";
  }
}
