package polymorfismus_3;


import java.util.ArrayList;
import java.util.List;

public class SamoobsluznaRestaurace {
  private List<IHosteny> seznamHostu = new ArrayList<>();
  private int zisk = 0;
  
  public List<IHosteny> getSeznamHostu() {
    return seznamHostu;
  }
  
  public int getZisk() {
    return zisk;
  }
  
  public void najistAZaplatit(List<Pokladni> pokladni) {
    for (IHosteny host : seznamHostu) {
      host.konzumuje();
    }
    if (pokladni.size() == 1) {
      zisk += pokladni.get(0).kasiruj(seznamHostu);
    }
    else {
      zisk += pokladni.get(0).kasiruj(polovinaHostu(true));
      zisk += pokladni.get(1).kasiruj(polovinaHostu(false));
    }
  }
  
  private List<IHosteny> polovinaHostu(boolean dolni) {
    if (dolni) {
      return seznamHostu.subList(0, seznamHostu.size() / 2);
    }
    else {
      return seznamHostu.subList(seznamHostu.size() / 2, seznamHostu.size());
    }
  }
}
