package agregace;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

import lambda.Osoba;
import lambda.SeznamOsob;

public class KolekceJoinJmeno {

  public static void main(String[] args) {
    List<Osoba> seznam = SeznamOsob.getSeznam();
    
    String jmenaMuzu = seznam
        .stream()
        .filter(o -> o.getPohlavi() == Osoba.Pohlavi.MUZ)
        .map(Osoba::getJmeno)
        .collect(Collectors.joining(": "));

    System.out.println("Jmena muzu = " + jmenaMuzu);
  }

}
