package agregace;

import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;

import lambda.Osoba;
import lambda.SeznamOsob;

public class KolekceListJmeno {

  public static void main(String[] args) {
    List<Osoba> seznam = SeznamOsob.getSeznam();
    
    Set<String> mnozinaJmenMuzu = seznam
        .stream()
        .filter(o -> o.getPohlavi() == Osoba.Pohlavi.MUZ)
//        .map(o -> o.getJmeno())
        .map(Osoba::getJmeno)
        .collect(Collectors.toSet());
     
    System.out.println("Mnozina jmen muzu = " + mnozinaJmenMuzu);
  }

}
