package agregace;

import java.util.List;
import java.util.stream.Collectors;

import lambda.Osoba;
import lambda.SeznamOsob;

public class KolekceListOsoba {

  public static void main(String[] args) {
    List<Osoba> seznam = SeznamOsob.getSeznam();
    
    List<Osoba> seznamMuzu = seznam
        .stream()
        .filter(o -> o.getPohlavi() == Osoba.Pohlavi.MUZ)
        .collect(Collectors.toList());
     
    System.out.println("Seznam muzu = " + seznamMuzu);
  }

}
