package agregace;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

import lambda.Osoba;
import lambda.SeznamOsob;

public class KolekceMapaOsoba {

  public static void main(String[] args) {
    List<Osoba> seznam = SeznamOsob.getSeznam();
    
    Map<Osoba.Pohlavi, List<Osoba>> osobyPodlePohlavi = seznam
        .stream()
        .collect(Collectors.groupingBy(Osoba::getPohlavi));
     
    System.out.println("Seznam osob podle pohlavi = " + osobyPodlePohlavi);
  }

}
