package agregace;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

import lambda.Osoba;
import lambda.SeznamOsob;

public class KolekcePrahovaniJmeno {

  public static void main(String[] args) {
    List<Osoba> seznam = SeznamOsob.getSeznam();

    Map<Boolean, List<Osoba>> maliVelci = seznam
        .stream()
        .collect(Collectors.partitioningBy(o -> o.getVyska() >= 175));

    System.out.println("Mali a velci = " + maliVelci);
  }

}
