package agregace;

import java.util.List;

import lambda.Osoba;
import lambda.SeznamOsob;

public class RedukceCount {

  public static void main(String[] args) {
    List<Osoba> seznam = SeznamOsob.getSeznam();
    
    long pocetMuzu = seznam
        .stream()
        .filter(o -> o.getPohlavi() == Osoba.Pohlavi.MUZ)
        .count();
     
    System.out.println("Pocet muzu = " + pocetMuzu);
  }

}
