package agregace;

import java.util.List;

import lambda.Osoba;
import lambda.SeznamOsob;

public class Zaklad {

  public static void main(String[] args) {
    List<Osoba> seznam = SeznamOsob.getSeznam();
    
    // klasicky zpusob vypisu
    for (Osoba o : seznam) {
      if (o.getVyska() < 175) {
        System.out.print(o.getJmeno() + ", ");
      }
    }
    
    System.out.println();
    // vypis pomoci agregovanych operaci
    seznam
       .stream()
       .filter(o -> o.getVyska() < 175)
//       .filter(o -> o.getPohlavi() == Osoba.Pohlavi.ZENA)
       .forEach(o -> System.out.print(o.getJmeno() + ", "));
  }

}



