package hodnotylambda;

import java.util.function.IntBinaryOperator;

public class Kalkulacka {
  
  public int pocetniUkon(int a, int b, IntBinaryOperator op) {
    return op.applyAsInt(a, b);
  }
  
  public int deleni(int a, int b) {
    return a / b;
  }

  public static void main(String[] args) {
    Kalkulacka k = new Kalkulacka();
    IntBinaryOperator scitani = (a, b) -> a + b;
    IntBinaryOperator odecitani = (a, b) -> a - b;
    
    IntBinaryOperator nasobeni = new IntBinaryOperator() {
      public int applyAsInt(int a, int b) {
        return a * b;
      }
    };
    
    System.out.println("3 + 5 = " + k.pocetniUkon(3, 5, scitani));
    System.out.println("5 - 3 = " + k.pocetniUkon(5, 3, odecitani));
//    System.out.println("5 - 3 = " + k.pocetniUkon(5, 3, (a, b) -> a - b));
    System.out.println("3 * 5 = " + k.pocetniUkon(3, 5, nasobeni));
    System.out.println("15 / 5 = " + k.deleni(15, 5));
  }

}







