package lambda;

import java.util.List;

// kriterium v lamba vyrazu
public class HledaniOsob_4 {
  
  public static void hledani(List<Osoba> seznam, IKriterium kriterium) {
    for (Osoba o : seznam) {
      if (kriterium.vyhovuje(o)) {
        o.vypis();
      }
    }
  }
  
  public static void main(String[] args) {
    List<Osoba> seznam = SeznamOsob.getSeznam();
    hledani(seznam, 
           (Osoba o) -> o.getPohlavi() == Osoba.Pohlavi.ZENA  
                        &&  o.getVyska() >= 160
           );
  }

}
