package optional;

import java.util.Optional;
import java.util.OptionalInt;
import java.util.function.IntConsumer;

public class Pouziti {

  public static void main(String[] args) {
    Predmet prazdny = new Predmet();
    System.out.println("prazdny: " + prazdny);
    System.out.println("prazdny.zkratka: " + prazdny.getZkratka());
    System.out.println("prazdny.nazev: " + prazdny.getNazev());
    if (prazdny.getZnamka().isPresent() == false) {
      System.out.println("prazdny.znamka: " + "neni nastavena");
    }
    System.out.println();
    
    Optional<String> bezNazvu = Optional.ofNullable(null);
    Predmet bezNazvuOOP = new Predmet("KIV/OOP", bezNazvu);
    System.out.println("bezNazvuOOP: " + bezNazvuOOP);
//    int znamka = bezNazvuOOP.getZnamka().getAsInt();
    System.out.println();

    
    Optional<String> maNazev = Optional.ofNullable("Objektove orientovane programovani");
    Predmet maNazevOOP = new Predmet("KIV/OOP", maNazev);
    maNazevOOP.setZnamka(OptionalInt.of(1));
    System.out.println("maNazevOOP: " + maNazevOOP);
    System.out.println("maNazevOOP.nazev: " + maNazevOOP.getNazev());
    if (maNazevOOP.getZnamka().isPresent() == true) {
      System.out.println("maNazevOOP.znamka: " + maNazevOOP.getZnamka().getAsInt());
    }
    maNazevOOP.getZnamka().ifPresent(System.out::println);
  }
}
