package anotace;

import java.lang.reflect.Constructor;
import java.lang.reflect.Method;
import org.junit.Test;

public class JUnitTestySpusteniPrincip {

  public static void main(String[] args) throws Exception {
    int proslo = 0;
    int chybne = 0;
    Class<?> zkoumanaClass = Class.forName("anotace.TestovaciTrida");
    Method[] metody = zkoumanaClass.getDeclaredMethods();

    Constructor<?> konstruktor = zkoumanaClass.getDeclaredConstructor();
    Object instance = konstruktor.newInstance();
    for (Method metoda : metody) {
      if (metoda.isAnnotationPresent(Test.class)) {
        try {
          metoda.invoke(instance);
          proslo++;
        } catch (Exception ex) {
          System.out.println("Test metody " + metoda.getName()
              + "() selhal z duvodu\n" + ex.getCause());
          chybne++;
        }
      }
    }
    System.out.println("Proslo: " + proslo + ", selhalo: " + chybne);
  }

}
