package anotace;

import static org.junit.Assert.assertEquals;
import org.junit.Test;

public class OsobaTest {

  @PodminkySpusteniTestu(poradi=0,misto=MistoSpousteni.VALIDATOR)
  @Test
  public void testPohlavi() {
    Osoba o = new Osoba("zena");
    assertEquals("Chybne pohlavi", "zena", o.getPohlavi());
  }

  @PodminkySpusteniTestu(poradi=1)
  @Test
  public void testToString() {
    Osoba o = new Osoba("zena");
    assertEquals("Chybn nzev: ", "Osoba_1", o.toString());
  }

  @PodminkySpusteniTestu(poradi=2,misto=MistoSpousteni.DESKTOP)
  @Test
  public void testZmenaNazvu() {
    Osoba o = new Osoba("zena");
    assertEquals("Chybn nzev: ", "Osoba_2", o.toString());
  }
}
