package anotace;

import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

@Documented
@Retention(RUNTIME)
public @interface PodminkySpusteniTestu {
  /**
   * Definuje poad v jakm budou jednotliv testy spoutny
   * poad jsou pirozen sla od 1 (=sputno vdy jako prvn)
   * default hodnota 0 znamen, e na poad nezle, 
   *   ale tento test bude sputn a pro probhnut vech test se zadanm poadm 
   */
  int poradi() default 0;
  
  /**
   * Definuje, kde bude test spoutn
   * hodnota MistoSpousteni.NIKDE m vznam zejmna pro ladn
   */
  MistoSpousteni[] misto() default {MistoSpousteni.DESKTOP, MistoSpousteni.VALIDATOR};
}
