package reflexe;

import java.lang.reflect.Constructor;
import java.lang.reflect.Field;
import java.lang.reflect.Method;

public class Reflexe {

  public static void main(String[] args) throws ClassNotFoundException {
    Class<?> zkoumanaClass = Class.forName("reflexe.UkazkovaTrida");
    Field[] atributy = zkoumanaClass.getDeclaredFields();
    Constructor<?>[] konstruktory = zkoumanaClass.getDeclaredConstructors();
    Method[] metody = zkoumanaClass.getDeclaredMethods();
    
    System.out.println("Atributy:");
    for (Field atribut : atributy) {
      System.out.println(atribut);
    }

    System.out.println("\nKonstruktory:");
    for (Constructor<?> konstruktor : konstruktory) {
      System.out.println(konstruktor);
    }

    System.out.println("\nMetody:");
    for (Method metoda : metody) {
      System.out.println(metoda);
    }
  }

}
